=== src/formatter/html/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
install(DIRECTORY 5.2 DESTINATION ${KDE_INSTALL_DATADIR}/akregator/grantleetheme/ )
