## akregator 23.08.5-0ubuntu4.1trisquel4

=== debian/changelog ===
akregator (4:23.08.5-0ubuntu4.1trisquel4) ecne; urgency=medium

  * Patched feeds for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 15 Oct 2024 05:52:33 +0000

akregator (4:23.08.5-0ubuntu4.1) noble; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2065915)

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 10 Jul 2024 10:25:35 -0700
