## akregator 23.08.5-0ubuntu4.1trisquel5

=== debian/changelog ===
akregator (4:23.08.5-0ubuntu4.1trisquel5) ecne; urgency=medium

  * Patched feeds for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 26 Aug 2025 06:13:34 +0000
