=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: akregator
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
@@ -91,7 +91,7 @@
 
 Package: akregator
 Section: web
-Architecture: any
+Architecture: amd64 arm64 armhf i386
 Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
 Suggests: apparmor
 Breaks: kdepim-doc (<< 4:16.12.0), ${kde-l10n:all},
