## akregator 24.08.2

=== debian/changelog ===
akregator (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.
    - Add an AppArmor profile.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Nov 2024 12:00:49 -0500

akregator (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:04:42 +0200

akregator (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 12 Sep 2024 22:51:37 +0200

akregator (4:23.08.5-0ubuntu8) oracular; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492) 

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 10 Jul 2024 10:41:58 -0700

akregator (4:23.08.5-0ubuntu7) oracular; urgency=medium

  * Allow everything for apparmor following other profiles. 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 24 May 2024 06:12:33 -0700

akregator (4:23.08.5-0ubuntu6) oracular; urgency=medium

  * Allow everything for apparmor following other profiles.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 24 May 2024 06:09:15 -0700

akregator (4:23.08.5-0ubuntu5) oracular; urgency=medium

  * Set @{multiarch} rather than hard code path. (LP: #2064492) 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 16 May 2024 05:03:29 -0700
