=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libgrantleetheme-dev (>= 24.12.0~),
-               libkdepim-dev (>= 4:24.12.0~),
+               libgrantleetheme-dev (>= 24.12.2~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -26,11 +26,11 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 24.12.0~),
+               libkontactinterface-dev (>= 24.12.2~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libpimcommon-dev (>= 4:24.12.2~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:24.12.0~),
+               messagelib-dev (>= 4:24.12.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),
